所需权限:
workspace:actor_fact_modify路径参数
string
required
工作空间 ID
string
required
Actor ID
string
required
事实 ID
请求体
string
更新后的事实文本
object
更新后的附加到事实的键值元数据
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws_abc123def456/actors/actor_5e4d3c2b1a0f/facts/fact_4c5d6e7f8a9b' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"fact": "User is proficient in Python and TypeScript",
"metadata": {
"category": "skills",
"confidence": "high",
"verified": true
}
}'
{
"success": true,
"data": {
"id": "fact_4c5d6e7f8a9b",
"fact": "User is proficient in Python and TypeScript",
"metadata": {
"category": "skills",
"confidence": "high",
"verified": true
},
"expired": false,
"score": 0.92,
"expiration_date": null,
"created_at": "2025-05-20T10:00:00Z",
"updated_at": "2025-06-22T08:30:00Z"
}
}
更新现有 Actor 级别事实的文本或元数据
PATCH /openapi/memorylake/api/v3/workspaces/{workspaceId}/actors/{actorId}/facts/{factId}
workspace:actor_fact_modifycurl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws_abc123def456/actors/actor_5e4d3c2b1a0f/facts/fact_4c5d6e7f8a9b' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"fact": "User is proficient in Python and TypeScript",
"metadata": {
"category": "skills",
"confidence": "high",
"verified": true
}
}'
{
"success": true,
"data": {
"id": "fact_4c5d6e7f8a9b",
"fact": "User is proficient in Python and TypeScript",
"metadata": {
"category": "skills",
"confidence": "high",
"verified": true
},
"expired": false,
"score": 0.92,
"expiration_date": null,
"created_at": "2025-05-20T10:00:00Z",
"updated_at": "2025-06-22T08:30:00Z"
}
}